User visible changes in the firmware version 3.6.0 since version 3.5.x.

                             Highlights.

1. UHF and FH modems: new parameters were implemented.

2. TR-LS, TRIUMPH-2, TR-LS2: support for 3-axis compass and 3-axis
   accelerometer implemented.

3. RTK: BeiDou support was implemented.

4. DHCP client functionality has been implemented.

5. TRIUMPH-1: DHCP server functionality has been implemented.

6. New parameter /par/dev/nvm/a/size.

7. New parameter /par/spectr/m_aver.

8. Change: in [rc], [r1], [r2], [r3], [r5], [rl]
   messages Asys is 0.125 for SBAS and 0.085 for GALILEO.

9. New messages: [rk], [rx] and [cr].

10. FH modem: The support of HPT901BT and HPT901BT BAT external radio
    was added.
    
11. UHF and FH modems: spectrum support was implemented.

12. New antenna database has been imported <NGS-14/05/07=481>.


                      More Detailed Description
                (refer to GREIS for even more details)


                             1. Messages.

1.1 [MA] Accelerometer and Magnetometer data compensated.

struct AccMag  {37} {
  U4 time;
  F4 ax; // Acceleration X [cm/sec^2]
  F4 ay; // Acceleration Y [cm/sec^2]
  F4 az; // Acceleration Z [cm/sec^2]
  F4 bx; // Magnetic induction X
  F4 by; // Magnetic induction Y
  F4 bz; // Magnetic induction Z
  F4 magnitude; // Value of magnetic field
  F4 temperature; //Temperature of magnetic sensor [deg C]
  U1 cs;  // Checksum
};

1.2 [rk] - not done yet; todo
1.3 [rx] - todo
1.4 [cr] - todo

1.5 [ms] Modem Spectrum

struct MDM_Spectrum {9} {
  I4 curFrq; // Current frequency [Hz]
  I4 curPwr; // Current signal (or noise) power [dBm]
  U1 cs;     // Checksum
};

                             2. Parameters.

2.1 New modem parameters

Modification:

Modem mode parameter /par/modem/X/mode
a) New values: "auto" - receiver will automatically detect modem (UHF or FH modem)
                        and use it
               "spec" - receiver will automatically detect modem (UHF or FH modem)
                        and will get a spectrum from modem

Modem error parameter /par/modem/X/err
a) New values: "fw" - incorrect version of modem firmware

New parameters:

Name:           /par/modem/X/auto/inf/model
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Modem model.

Name:           /par/modem/X/auto/inf/id
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Product ID.

Name:           /par/modem/X/auto/inf/sn
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Serial Number.

Name:           /par/modem/X/auto/inf/hw
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Hardware revision.

Name:           /par/modem/X/auto/inf/sw
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Software version.

Name:           /par/modem/X/auto/inf/bl
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    BootLoader version.

2.2 New UHF modem parameters.

Protocol type parameter  /par/modem/X/uhf/link/prot
a) New values: "simtr"      - Simplex Transceiver Protocol
               "tmotr"      - Transparent w/EOT Transceiver Protocol
               "trmtr"      - Trimtalk 450S Transceiver Protocol
               "tt450shwtr" - TT450S(HW) Transceiver Protocol
               "trmm3tr"    - Trimmark3 Transceiver Protocol
               "trmm2tr"    - Trimmark ll/lle Transceiver Protocol
               "stltr"      - STL Transceiver Protocol

Name:           /par/modem/X/uhf/inf/link/rx/rssi
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Value of Received Signal Strength Indication (RSSI).

Name:           /par/modem/X/uhf/inf/link/rx/ber
Access:         r
Type:           float
Default:        "unknown"
Description:    Value of Bit Error Rate (BER).

Name:           /par/modem/X/uhf/link/csign
Access:         rw
Type:           string[0..10]
Default:        ""
Description:    The call sign of transceiver. The length of entered call sign can be
                less or equal to 10 characters. A-Z letters and 0-9 digits are accepted.

Name:           /par/modem/X/uhf/inf/id
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Product ID.

Name:           /par/modem/X/uhf/inf/sn
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Serial Number.

Name:           /par/modem/X/uhf/inf/hw
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Hardware revision.

Name:           /par/modem/X/uhf/inf/sw
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Software version.

Name:           /par/modem/X/uhf/inf/bl
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    BootLoader version.

Name:           /par/modem/X/uhf/scan/freq/start
Access:         rw
Type:           integer
Values:         [138000000..470000000], step between frequencies: 6250 (Hz)
Default:        406000000 (Hz)
Description:    The start frequency in spectrum.

Name:           /par/modem/X/uhf/scan/freq/stop
Access:         rw
Type:           integer
Values:         [138000000..470000000], step between frequencies: 6250 (Hz)
Default:        470000000 (Hz)
Description:    The stop frequency in spectrum.

Name:           /par/modem/X/uhf/scan/freq/step
Access:         rw
Type:           integer
Values:         [5000..999000]
Default:        12500 (Hz)
Description:    The frequency step between frequencies in spectrum.

Name:           /par/modem/X/uhf/scan/mode
Access:         rw
Type:           enumerated
Values:         scan | rssi
Default:        scan
Description:    The mode of scanning.

Name:           /par/modem/X/uhf/scan/timeout
Access:         rw
Type:           integer
Values:         [250..25000]
Default:        1500 (msec)
Description:    The signal timeout at current frequency for scanning in RSSI mode.


2.3 New FH modem parameters.

Name:           /par/modem/X/fh/inf/link/rx/rssi
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Value of Received Signal Strength Indication (RSSI).

Name:           /par/modem/X/fh/inf/link/rx/bsp
Access:         r
Type:           integer
Values:         [0..MAX_UINT]
Default:        0
Description:    Number of received Bad Subpackets (BSP).

Name:           /par/modem/X/fh/inf/link/rx/rsp
Access:         r
Type:           integer
Values:         [0..MAX_UINT]
Default:        0
Description:    Number of received Subpackets (RSP).

Name:           /par/modem/X/fh/inf/link/rx/per
Access:         r
Type:           float
Default:        "unknown"
Description:    Value of Subpackets Error Rate (PER).

Name:           /par/modem/X/fh/statreset
Access:         w
Type:           boolean
Values:         yes,no
Default:        no
Description:    Reset of status information.

Name:           /par/modem/X/fh/inf/id
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Product ID.

Name:           /par/modem/X/fh/inf/sn
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Serial Number.

Name:           /par/modem/X/fh/inf/hw
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Hardware revision.

Name:           /par/modem/X/fh/inf/fw
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    Firmware version.

Name:           /par/modem/X/fh/inf/bl
Access:         r
Type:           string[0..32]
Default:        "unknown"
Description:    BootLoader version.

Name:           /par/modem/x/fh/link/usa/chan/redund
Access:         rw
Type:           enumerated
Values:         single | double
Default:        double
Description:    The redundancy  parameter controls a transfer mode of the Data Packet.
                single - Data Packet is transmitted once at the current frequency.
                double - Data Packet is transmitted twice: first time at the current
                frequency, second time at the next frequency. On the receiving
                side is selected one (best) Data Packet.

Name:           /par/modem/X/fh/scan/freq/start
Access:         rw
Type:           integer
Values:         [850000000..970000000], step between frequencies: 6250 (Hz)
Default:        900000000 (Hz)
Description:    The start frequency in spectrum.

Name:           /par/modem/X/fh/scan/freq/stop
Access:         rw
Type:           integer
Values:         [850000000..970000000], step between frequencies: 6250 (Hz)
Default:        930000000 (Hz)
Description:    The stop frequency in spectrum.

Name:           /par/modem/X/fh/scan/freq/step
Access:         rw
Type:           integer
Values:         [1000..999000]
Default:        10000 (Hz)
Description:    The frequency step between frequencies in spectrum.


2.4 New parameters for DHCP Client

Name:           /par/net/dhcp/client/mode
Access:         rw
Type:           boolean
Values:         on,off
Default:        off
Description:    Switch DHCP client on/off.

2.5 New parameters for DHCP Server

Name:           /par/net/dhcp/server/mode
Access:         rw
Type:           boolean
Values:         on,off
Default:        off
Description:    Switch DHCP server on/off.

2.6 New NVRAM parameter.

Receiver NVRAM Size

Name:           /par/dev/nvm/a/size
Access:         r
Type:           integer [bytes]

2.7 New spectrum parameter.

Spectrum averaging mode

Name:           /par/spectr/m_aver
Access:         rw
Type:           enumerated
Values:         mean,min,max
Default:        mean

                             3. Options.

NO CHANGES

<END>
